# Method Standards.EXIF.get_properties()

Method get_properties

  ``mapping`(`string`:`mixed`) get_properties(`Stdio.File` `file`, `void`|`mapping` `tags`)`

Description

  Parses and returns all EXIF properties.

Parameter `file`

  A JFIF file positioned at the start.

Parameter `tags`

  An optional list of tags to process. If given, all unknown tags will be ignored.

Returns

  A mapping with all found EXIF properties.